use rocket::{get, routes, Route, State};
use sqlx::SqlitePool;

use super::notification;
use crate::model::{log::Log, user::AdminUser};

pub mod event;
pub mod user;

#[get("/log")]
async fn log(db: &State<SqlitePool>, _admin: AdminUser) -> String {
    Log::show(db).await
}

pub fn routes() -> Vec<Route> {
    let mut ret = Vec::new();
    ret.append(&mut user::routes());
    ret.append(&mut notification::routes());
    ret.append(&mut event::routes());
    ret.append(&mut routes![log]);
    ret
}
